All users were logged out of Bugzilla on October 13th, 2018

Usage app shows nothing post upgrade

RESOLVED FIXED in Firefox OS v2.0

Status

RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: gerard-majax, Assigned: mai)

Tracking

({regression})

unspecified
2.0 S5 (4july)
ARM
Gonk (Firefox OS)
regression

Firefox Tracking Flags

(blocking-b2g:2.0+, b2g-v1.3 ?, b2g-v1.3T ?, b2g-v1.4 ?, b2g-v2.0 verified, b2g-v2.1 verified)

Details

Attachments

(4 attachments)

(Reporter)

Description

4 years ago
It has been a while since I haven't been able to use this app. App shows no graph, only the selectors for data/wifi.

Logcat just says:
> E/GeckoConsole(  431): [JavaScript Error: "TypeError: lastReset is undefined" {file: "app://costcontrol.gaiamobile.org/js/views/datausage.js" line: 272}]
(Reporter)

Updated

4 years ago
blocking-b2g: --- → 2.0?
(Reporter)

Comment 1

4 years ago
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[dataLimit]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[dataLimitValue]=20
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[dataLimitUnit]="MB"
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[errors]={"INCORRECT_TOPUP_CODE":false,"BALANCE_TIMEOUT":false,"TOPUP_TIMEOUT":false}
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[fte]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[waitingForBalance]=null
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[waitingForTopUp]=null
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastBalance]=null
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastBalanceRequest]=null
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastTopUpRequest]=null
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastDataUsage]={"timestamp":{"__date__":"2014-05-29T13:41:04.944Z"},"start":{"__date__":"2014-05-21T22:00:00.000Z"},"end":{"__date__":"2014-05-29T22:00:00.000Z"},"today":{"__date__":"2014-05-28T22:00:00.000Z"},"wifi":{"total":63620005},"mobile":{"total":45674282}}
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastTelephonyActivity]={"calltime":21126404,"smscount":4452,"timestamp":{"__date__":"2014-05-29T13:10:36.350Z"}}
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastTelephonyReset]={"__date__":"2013-07-01T10:22:31.786Z"}
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lastDataReset]={"__date__":"2013-06-01T14:23:14.098Z"}
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lowLimit]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lowLimitThreshold]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[lowLimitNotified]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[zeroBalanceNotified]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[dataUsageNotified]=false
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[nextReset]=null
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[plantype]="prepaid"
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[resetTime]=1
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[trackingPeriod]="never"
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[wifiFixing]=0
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[isMobileChartVisible]=true
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[isWifiChartVisible]=true
E/GeckoConsole(  910): Content JS DEBUG at app://costcontrol.gaiamobile.org/js/views/datausage.js:273 in calculateLowerDate: Settings dump: settings[extend]=undefined
Flags: needinfo?(salva)
(Reporter)

Comment 2

4 years ago
git blame shows the datausage.js line comes from https://github.com/mozilla-b2g/gaia/commit/e1085d22 from bug 948798.
Flags: needinfo?(mri)
Keywords: regression
(Reporter)

Comment 3

4 years ago
This may impact users starting from v1.3, when upgrading. The code that triggers this depends on settings the "reset values" setting to "never" in the Usage app's setting.

I'm sorry not to be able to provide better STRs.
status-b2g-v1.3: --- → ?
status-b2g-v1.3T: --- → ?
status-b2g-v1.4: --- → ?
status-b2g-v2.0: --- → ?
Keywords: qawanted

Updated

4 years ago
Summary: Usage app shows nothing → Usage app shows nothing post upgrade
(Assignee)

Comment 4

4 years ago
Created attachment 8431519 [details] [review]
patch v1.0
Flags: needinfo?(mri)
Before reviewing, can you describe what was the problem and the solution proposed?

Thank you Mai.
Flags: needinfo?(salva)
(Reporter)

Comment 6

4 years ago
Created attachment 8431529 [details]
2014-05-30-14-10-29.png

This is now what I get. I'm not sure, but it does not look good ...
Flags: needinfo?(mri)
traige: 2.0+
blocking-b2g: 2.0? → 2.0+
(Assignee)

Updated

4 years ago
Assignee: nobody → mri
Flags: needinfo?(mri)
Target Milestone: --- → 2.0 S4 (20june)
(Assignee)

Comment 8

4 years ago
Comment on attachment 8431529 [details]
2014-05-30-14-10-29.png

Hi salva, 
would you mind reviewing the patch?
Regards
Attachment #8431529 - Flags: review?(salva)
Comment on attachment 8431529 [details]
2014-05-30-14-10-29.png

The inequality between `now.getDate()` and `Toolkit.toMidnight(now).getDate()` will be never `true`. Solve this problem and ask for my review again.
Attachment #8431529 - Flags: review?(salva)
(Assignee)

Comment 10

4 years ago
Comment on attachment 8431519 [details] [review]
patch v1.0

Hi Salva,
would you mind reviewing the patch again?
Regards
Attachment #8431519 - Flags: review?(salva)
Comment on attachment 8431519 [details] [review]
patch v1.0

I'm not sure your solution is actually working. Can we talk about it?
Attachment #8431519 - Flags: review?(salva)
Comment on attachment 8431519 [details] [review]
patch v1.0

Please, comment very well and add meaningful variables before merging. Comment why you don't need to control the case for positive UTC offsets. Good work!
Attachment #8431519 - Flags: review+
Target Milestone: 2.0 S4 (20june) → 2.0 S5 (4july)
(Assignee)

Comment 13

4 years ago
Master:f62bcb6f82f4df2282b6450526b314193ee0252f
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
status-b2g-v2.1: --- → fixed

Updated

4 years ago
Keywords: qawanted
This issue has been successfully verified on Flame 2.1, 2.0
See attachment:20.png,21.png
Reproducing rate: 0/5

Flame 2.1 build:
Gaia-Rev        38e17b0219cbc50a4ad6f51101898f89e513a552
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/8b92c4b8f59a
Build-ID        20141205001201
Version         34.0

 Flame 2.0 new build:
Gaia-Rev        856863962362030174bae4e03d59c3ebbc182473
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/e40fe21e37f1
Build-ID        20141208000206
Version         32.0
Flame 2.2 new build:
Gaia-Rev        bd4dcc8c4582e2368b47b0e62506d3031fb2fc09
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/f1f48ccb2d4e
Build-ID        20141208160206
Version         37.0a1
status-b2g-v2.0: fixed → verified
status-b2g-v2.1: fixed → verified
You need to log in before you can comment on or make changes to this bug.